# QImageWriter Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QImageWriter()
- void QImageWriter(QIODevice device, QByteArray format)
- void QImageWriter(String fileName, QByteArray format)

### Constructor Properties

- prototype: The QImageWriter prototype object
- List supportedImageFormats()
- UnknownError
- DeviceError
- UnsupportedFormatError
- ImageWriterError( value )

### Prototype Object Properties

- bool canWrite()
- int compression()
- QIODevice device()
- ImageWriterError error()
- String errorString()
- String fileName()
- QByteArray format()
- float gamma()
- int quality()
- void setCompression(int compression)
- void setDevice(QIODevice device)
- void setFileName(String fileName)
- void setFormat(QByteArray format)
- void setGamma(float gamma)
- void setQuality(int quality)
- void setText(String key, String text)
- bool supportsOption(ImageOption option)
- bool write(QImage image)

### Instance Properties

QImageWriter objects have no special properties beyond those inherited from the QImageWriter prototype object.